if (Drupal.settings.commerce_card.custom_message){
  var message = Drupal.settings.commerce_card.custom_message;
  jQuery(".commerce_payment.form-wrapper legend").after( "<div class='card-message'>" + message + "</div>" );
}

if (Drupal.settings.commerce_card.same_page){     
  if (Drupal.settings.commerce_card.name_field){
    var name = jQuery('.form-item-customer-profile-billing-commerce-customer-address-und-0-name-line .name-block').val();      
  }else{    
    var first_name = jQuery('.form-item-customer-profile-billing-commerce-customer-address-und-0-first-name .first-name').val();    
    var last_name  = jQuery('.form-item-customer-profile-billing-commerce-customer-address-und-0-last-name .last-name').val();
      
    if (first_name != null && last_name != null){      
      var name = first_name + ' ' + last_name;    
    }    
  }  
  if (isEmpty(name)){
    name = Drupal.settings.commerce_card.name_placeholder;  
  }
  var form = Drupal.settings.commerce_card.form_name;    
 }else{   
  var position = Drupal.settings.commerce_card.position;
  var name = '';
  
  var name = jQuery('.field-name-commerce-customer-address:eq(' + position + ') .name-block .name-block').text();
  
  if (isEmpty(name)){
    name = Drupal.settings.commerce_card.name_placeholder;  
  }
  
  var form = Drupal.settings.commerce_card.form_name + ' .commerce_payment'; 
 }       
 
 if (Drupal.settings.commerce_card.owner){                            
   var owner_field = '*[id^="edit-commerce-payment-payment-details-credit-card-owner"]';       
 }else{
   if (Drupal.settings.commerce_card.name_field){
     var owner_field = 'input.name-block';
   }else{
     var owner_field = '.first-name, .last-name';
   }
}
 
function isEmpty(str) {
   return (!str || 0 === str.length);
}
 
 var card = new Card({   
    form: form,     
    container: '.commerce_payment', 
    formSelectors: {
        numberInput:  '*[id^="edit-commerce-payment-payment-details-credit-card-number"]',         
        expiryInput:  '*[id^="edit-commerce-payment-payment-details-credit-card-expiry"]',
        cvcInput:     '*[id^="edit-commerce-payment-payment-details-credit-card-code"]', 
        nameInput:    owner_field,
    },
    width: Drupal.settings.commerce_card.width,
    formatting: true,    
    messages: {
        validDate: '', 
        monthYear: Drupal.settings.commerce_card.month_year, 
    },
        placeholders: {
        number: '•••• •••• •••• ••••',
        name: name,
        expiry: Drupal.settings.commerce_card.expiry,
        cvc: '•••'
    },    
    debug: Drupal.settings.commerce_card.debug,
});
   

 
